Package org.drinkless.tdlib

# Class TdApi.AffiliateProgramInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AffiliateProgramInfo

Enclosing class:
  `TdApi`

public static class TdApi.AffiliateProgramInfo extends TdApi.Object
Contains information about an active affiliate program.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StarAmount`
  `dailyRevenuePerUserAmount`
  The amount of daily revenue per user in Telegram Stars of the bot that created the affiliate program.
  `int`
  `endDate`
  Point in time (Unix timestamp) when the affiliate program will be closed; 0 if the affiliate program isn't scheduled to be closed.
  `TdApi.AffiliateProgramParameters`
  `parameters`
  Parameters of the affiliate program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AffiliateProgramInfo()`
  Contains information about an active affiliate program.
  `AffiliateProgramInfo(TdApi.AffiliateProgramParameters parameters, int endDate, TdApi.StarAmount dailyRevenuePerUserAmount)`
  Contains information about an active affiliate program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parameters

    public TdApi.AffiliateProgramParameters parameters
    Parameters of the affiliate program.

  - ### endDate

    public int endDate
    Point in time (Unix timestamp) when the affiliate program will be closed; 0 if the affiliate program isn't scheduled to be closed. If positive, then the program can't be connected using connectAffiliateProgram, but active connections will work until the date.

  - ### dailyRevenuePerUserAmount

    public TdApi.StarAmount dailyRevenuePerUserAmount
    The amount of daily revenue per user in Telegram Stars of the bot that created the affiliate program.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AffiliateProgramInfo

    public AffiliateProgramInfo()
    Contains information about an active affiliate program.

  - ### AffiliateProgramInfo

    public AffiliateProgramInfo(TdApi.AffiliateProgramParameters parameters, int endDate, TdApi.StarAmount dailyRevenuePerUserAmount)
    Contains information about an active affiliate program.
    Parameters:
      `parameters` - Parameters of the affiliate program.
      `endDate` - Point in time (Unix timestamp) when the affiliate program will be closed; 0 if the affiliate program isn't scheduled to be closed. If positive, then the program can't be connected using connectAffiliateProgram, but active connections will work until the date.
      `dailyRevenuePerUserAmount` - The amount of daily revenue per user in Telegram Stars of the bot that created the affiliate program.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR